<?xml version="1.0" encoding="UTF-8" ?>

<routes xmlns="http://symfony.com/schema/routing"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://symfony.com/schema/routing http://symfony.com/schema/routing/routing-1.0.xsd">

    <route id="livraisonparsecteurs.area.list" path="/admin/module/LivraisonParSecteurs">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\ListController::viewAction</default>
    </route>
    <route id="livraisonparsecteurs.toggle.active" path="/admin/module/LivraisonParSecteurs/toggle-online/{id}" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\ListController::toggleActive</default>
        <requirement key="id">\d+</requirement>
    </route>

    <route id="livraisonparsecteurs.area.view" path="/admin/module/LivraisonParSecteurs/edit" methods="get">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\GeneralController::viewArea</default>
    </route>
    <route id="livraisonparsecteurs.area.edit" path="/admin/module/LivraisonParSecteurs/edit" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\GeneralController::editArea</default>
    </route>


    <route id="livraisonparsecteurs.area.schedule.delete" path="/admin/module/LivraisonParSecteurs/schedule/delete" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\ScheduleController::deleteSchedule</default>
    </route>

    <route id="livraisonparsecteurs.area.schedule.update" path="admin/module/LivraisonParSecteurs/schedule/update" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\ScheduleController::updateSchedule</default>
    </route>

    <route id="livraisonparsecteurs.area.schedule.create" path="admin/module/LivraisonParSecteurs/schedule/create" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\ScheduleController::createSchedule</default>
    </route>


    <route id="livraisonparsecteurs.area.cities.remove" path="/admin/module/LivraisonParSecteurs/city/remove" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\CitiesController::removeCity</default>
    </route>
    <route id="livraisonparsecteurs.area.cities.add" path="/admin/module/LivraisonParSecteurs/city/add" methods="post">
        <default key="_controller">LivraisonParSecteurs\Controller\backOffice\CitiesController::addCity</default>
    </route>


</routes>
